Restore Action Version
Restore the action state based on a specified version
Change the current action state to the state specified in the version
Request
URI
PUT
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/versions/{versionId}/restore
COPY
Path Parameters
string
id
Required
ID of the action
string
versionId
Required
ID of the action version
Query Parameters
string
projectId
Required
Project ID of action (required for non-system actions)
Responses
200
Action version restored
Returns
Action
of type(s)
*/*
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
401
Unauthorized to make the request
Returns
Action
of type(s)
*/*
{
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
}
403
Forbidden
Returns
Action
of type(s)
*/*
"Action Object"
string
As ^\S$|^\S(.){0,253}\S$
name
Required
name
object
metadata
Optional
metadata
string
runtime
Required
runtime
string
source
Optional
Constraints:
minLength: 0
maxLength: 128000
source
string
entrypoint
Required
Constraints:
minLength: 0
maxLength: 255
entrypoint
string
description
Optional
Constraints:
minLength: 0
maxLength: 2000
description
object
inputs
Optional
inputs
integer As int32
As int32
memoryInMB
Optional
memoryInMB
integer As int32
As int32
prePolyglotMemoryLimitInMB
Optional
prePolyglotMemoryLimitInMB
boolean
showMemoryAlert
Optional
showMemoryAlert
integer As int32
As int32
timeoutSeconds
Optional
timeoutSeconds
string
dependencies
Optional
Constraints:
minLength: 0
maxLength: 10000
dependencies
string As byte
As byte
compressedContent
Optional
compressedContent
string
actionType
Required
actionType
Possible values are :
SCRIPT,
REST_CALL,
REST_POLL,
FLOW,
VAULT,
CYBERARK,
string
provider
Optional
provider
string
contentId
Optional
contentId
object
configuration
Optional
configuration
boolean
system
Optional
system
boolean
shared
Optional
shared
boolean
scalable
Optional
scalable
boolean
asyncDeployed
Optional
asyncDeployed
string
runtimeVersion
Optional
runtimeVersion
string
id
Optional
id
string
projectId
Optional
projectId
string
orgId
Required
orgId
string
selfLink
Optional
selfLink
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions/{id}/versions/{versionId}/restore
On This Page
Action Versions Operations
PUT
Restore Action Version
PUT
Release Action Version
DELETE
Unrelease Action Version
GET
Get All Versions
POST
Create Action Version
DELETE
Delete Action Version